Bug 844661 - /etc/init.d/iscsi: don't log in to targets if they're unreachable
/etc/init.d/iscsi: don't log in to targets if they're unreachable
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: iscsi-initiator-utils (Show other bugs)
6.4
Unspecified Unspecified
low Severity low
: beta
: 6.4
Assigned To: Chris Leech
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-31 06:14 EDT by David Jaša
Modified: 2017-12-06 07:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-06 07:58:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Jaša 2012-07-31 06:14:48 EDT
Description of problem:
/etc/init.d/iscsi: don't log in to targets if they're unreachable. The script contains a basic check for this condition:
# if the network isn't up yet exit cleanly, NetworkManager will call us
# again when the network is up
[ ! -f /var/lock/subsys/network -a ! -f /var/lock/subsys/NetworkManager ] && exit 0

but this doesn't handle the condition when all wired and wireless connection is handled in NM's per-user configuration - in that case, there's no connectivity during the boot but both "network" and "NetworkManager" service are up so the /etc/init.d/iscsi script assumes that network is reachable resulting in long time out and boot delay

IMO the best check would be replacement of service checks above to the check of existence of route to the target(s) - it's quick and should be universal enough (working for anything except network failures en route that can't be handled from network anyway).


Version-Release number of selected component (if applicable):
iscsi-initiator-utils-6.2.0.872-41.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. remove all system-wide wired/wireless network configuration:
mv /etc/sysconfig/network-scripts/ifcfg-{eth,wlan}* /root
2. connect to a network via nm-applet GUI (NM system tray icon -> wired or like that)
3. log in to an iscsi target
4. reboot

Actual results:
boot is delayed by timeout of futile iscsi reconnection attempt

Expected results:
if the target is unreachable, skip it

Additional info:
Comment 1 RHEL Product and Program Management 2012-12-14 01:54:57 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 2 Jan Kurik 2017-12-06 07:58:45 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/

Note You need to log in before you can comment on or make changes to this bug.